Loading...
Searching...
No Matches
Interface for asynchronous ISR handlers with a given IRQ capability.
IRQ handling library » Interface for asynchronous ISR handlers.

This group is just an enhanced version to l4irq_request() which takes a capability object instead of a plain number. More...

Collaboration diagram for Interface for asynchronous ISR handlers with a given IRQ capability.:

## Functions

l4irq_t * | l4irq_request_cap (l4_cap_idx_t irqcap, void(*isr_handler)(void *), void *isr_data, int irq_thread_prio, unsigned mode)
| Attach asychronous ISR handler to IRQ.

## Detailed Description

This group is just an enhanced version to l4irq_request() which takes a capability object instead of a plain number.

## Function Documentation

## l4irq_request_cap()

l4irq_t * l4irq_request_cap | ( | l4_cap_idx_t | irqcap,
|  | void(* | isr_handler )(void *),
|  | void * | isr_data,
|  | int | irq_thread_prio,
|  | unsigned | mode )

Attach asychronous ISR handler to IRQ.

Parameters

  irqcap | IRQ capability
  isr_handler | Handler routine that is called when an interrupt triggers
  isr_data | Pointer given as argument to isr_handler
  irq_thread_prio | L4 thread priority of the ISR handler. Give -1 for same priority as creator.
  mode | Interrupt type,

See also
  L4_irq_mode

Returns
  Pointer to l4irq_t structure, 0 on error